%define major 0
%define libname %mklibname gpg-error %{major}
%define develname %mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	1.24
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package common
Summary:	Common files for libgpg-error
Group:		System/Libraries
Conflicts:	libgpg-error < 1.7
BuildArch:	noarch

%description common
This package contains the common files that are used by the
libgpg-error library.

%package -n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gpg-error-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname gpg-error 0 -d

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop
or compile applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/gpg-error-config

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%files common -f %{name}.lang

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{multiarch_bindir}/gpg-error-config
%{_datadir}/aclocal/*.m4
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error
%{_infodir}/gpgrt.info.*
%{_mandir}/man1/gpg-error-config.1.*


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.24-1.mga6
+ Revision: 1045494
- 1.24

* Mon May 09 2016 luigiwalser <luigiwalser> 1.22-1.mga6
+ Revision: 1011442
- 1.22

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.21-1.mga6
+ Revision: 917726
- 1.21

* Wed Sep 09 2015 fwang <fwang> 1.20-1.mga6
+ Revision: 874542
- 1.20

* Fri Aug 21 2015 tmb <tmb> 1.19-2.mga6
+ Revision: 867590
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 837316
- fix files list
- 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 745845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-2.mga5
+ Revision: 681505
- Mageia 5 Mass Rebuild

* Sat Apr 26 2014 luigiwalser <luigiwalser> 1.13-1.mga5
+ Revision: 618303
- 1.13

* Tue Apr 15 2014 akien <akien> 1.12-3.mga5
+ Revision: 615168
- Add Provides on gpg-error-devel for the devel package

* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 528835
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 1.12-1.mga4
+ Revision: 447665
- drop unused patch
- new version 1.12

* Sat Jan 12 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 357320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 1.10-2.mga2
+ Revision: 181690
- drop .la files

* Sat Jan 08 2011 blino <blino> 1.10-1.mga1
+ Revision: 484
- remove obsolete stuff
- imported package libgpg-error

